using UnityEditor;
using UnityEngine;

namespace Stellaxis.Omniscient.Editor
{
    public class OmniFileMenu
    {
        [MenuItem("Assets/Import .omni File")]
        public static void ImportOmniFile()
        {
            string path = EditorUtility.OpenFilePanel("Select .omni File", "", "omni");
            if (!string.IsNullOrEmpty(path))
            {
                OmniFileProcessor.ImportOmniFileAsync(path);
            }
        }

        [MenuItem("GameObject/Omniscient Importer", false, 10)]
        public static void ImportOmniscient()
        {
            string path = EditorUtility.OpenFilePanel("Select .omni File", "", "omni");
            if (!string.IsNullOrEmpty(path))
            {
                OmniFileProcessor.ImportOmniFileAsync(path);
            }
        }
    }
}